﻿// (c) Bjørk Boye Busch - http://bjørk.net
using System;
using System.Collections.Generic;
using System.Text;
using TokenLibrary;
using Model_AST_Library;

namespace StateParserLibrary
{
    class ParserState_Medlem_Fødselsår : ParserState
    {
        public override ParserState Next()
        {
            switch (input.FirstToken().Typen)
            {
                case Token.Tokentype.Fødselsår:
                    medlem.Fødselsår = int.Parse(input.FirstToken().Leksem);
                    input.NextToken();
                    return new ParserState_Medlem_Kategori();
                default:
                    return new ParseState_Fejl(this, "Fejl: forventet fødselsår - token=" + input.FirstToken().ToString());
            }
        }
    }
}
