// (c) Bjrk Boye Busch - http://bjrk.net
using System;
using System.Collections.Generic;
using System.Text;
using Model_AST_Library;
using TokenLibrary;

namespace StateParserLibrary
{
    public class StateParserControler            // controler
    {
        public StateParserControler(ITokenReader tokenInput,bool vis)
        {
            ParserState.input = tokenInput;
            ParserState.vis = vis;
        }

        public bool ParseInput()
        {
            ParserState state = new ParserState_Start();
            do
            {
                state = state.Next();
            } while (!(state is ParserState_Medlemliste_Slut));
            return !ParserState.fejl;
        }

        public Medlemsliste GetMedlemsliste()
        {
            return ParserState.medlemsListe;
        }
        public bool PassedWithError()
        {
            return ParserState.fejl;
        }
    }
}
