// (c) Bjrk Boye Busch - http://bjrk.net
using System;
using System.Collections.Generic;
using System.Text;
using TokenLibrary;
using Model_AST_Library;

namespace StateParserLibrary
{
    class ParseState_Fejl : ParserState
    {
        private ParserState prevState;
        public ParseState_Fejl(ParserState prevState, string fejlText)
        {
            fejl = true;
            Console.WriteLine(fejlText);
            this.prevState = prevState;
        }
        public override ParserState Next()
        {
            while (input.FirstToken().Typen != Token.Tokentype.Semikolon && input.FirstToken().Typen != Token.Tokentype.Slut)
            {
                Console.WriteLine("token skippet:" + input.FirstToken());
                input.NextToken();
            }
            while (input.FirstToken().Typen == Token.Tokentype.Semikolon)
            {
                Console.WriteLine("token skippet:" + input.FirstToken());
                input.NextToken();
            }
            if (!(prevState is ParseState_Medlem_Navn)) return new ParserState_Medlem_Slut();
            if (input.FirstToken().Typen == Token.Tokentype.Slut) return new ParserState_Medlemliste_Slut();
            return new ParseState_Medlem_Start();
        }

    }
}
