// (c) Bjrk Boye Busch - http://bjrk.net
using System;
using System.Collections.Generic;
using System.Text;
using TokenLibrary;
using Model_AST_Library;

namespace StateParserLibrary
{
    class ParseState_Medlem_Navn : ParserState
    {
        public ParseState_Medlem_Navn()
        {
        }
        public override ParserState Next()
        {
            switch (input.FirstToken().Typen)
            {
                case Token.Tokentype.Navn:
                    medlem.Navn = input.FirstToken().Leksem;
                    input.NextToken();
                    return new ParserState_Medlem_Fdselsr();
                default:
                    return new ParseState_Fejl(this, "Fejl: i start p Medlem - Navn forventet - token=" + input.FirstToken().ToString());
            }
        }

    }
}
