﻿// (c) Bjørk Boye Busch - http://bjørk.net
using System;
using System.Collections.Generic;
using System.Text;

// Denne kan anvendes til at indlæse tokens fra en Queue af tokens
namespace TokenLibrary
{
    public class TokenReaderList : ITokenReader
    {
        public List<Token> input;
        private int position;
        private Token firstToken = null;
        public TokenReaderList(List<Token> tokenList)
        {
            input = tokenList;
            NextToken();
        }

        public Token FirstToken()
        {
            return firstToken;
        }
        public void NextToken()
        {
            if (position < input.Count)
                firstToken = input[position++];
            else
                firstToken = null;
        }

    }
}
