﻿// (c) Bjørk Boye Busch - http://bjørk.net
using System;
using System.Collections.Generic;
using System.Text;

// Denne kan anvendes til at indlæse tokens fra en Queue af tokens
namespace TokenLibrary
{
    public class TokenReaderQueue : ITokenReader
    {
        public Queue<Token> input;
        private Token firstToken = null;
        public TokenReaderQueue(Queue<Token> tokenQueue)
        {
            input = tokenQueue;
            NextToken();
        }

        public Token FirstToken()
        {
            return firstToken;
        }
        public void NextToken()
        {
            if (input.Count > 0)
                firstToken = input.Dequeue();
            else
                firstToken = null;
        }

    }
}
